* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

.main-container {
  /* width: 100vw; */
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  
  /* overflow: hidden; */
  /* background-color: #1a1a1a; */
}
.first-main-container {
  width: 100%;
  /* height: 100vh; */
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #1a1a1a;
  /* overflow: wrap; */
  /* flex-wrap: wrap; */
}

.nav-bar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  /* border: 1px solid; */
  width: 800px;
  background-color: #0f0f0f;
  color: white;
  padding: 10px 7px;
}
.nav-bar .logo a h3 {
  /* logo style */
  font-size: 24px;
  font-family: "Press Start 2P", cursive;
  cursor: pointer;
}
.nav-bar .logo a {
  text-decoration: none;
  color: white;
}

.nav-bar .logo a:hover {
  color: #ff0077;
}
.nav-bar .material-symbols-outlined {
  color: #cc005f;
  cursor: pointer;
}
.nav-bar .material-symbols-outlined:hover {
  color: white;
  background-color: #ff0077;
  transform: scale(1.5);
  transition-duration: 1s;
}
.introduction-content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  /* flex-wrap: wrap; */
  align-items: center;
  /* width: 50%; */
  width: 800px;

  color: white;
}
@media only screen and (max-width: 600px) {
  .introduction-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    /* width: 50%; */
    width: 800px;

    color: white;
  }
}
.introduction-content .profile-pic-wrapper img {
  width: 250px;
  margin: 100px 0;
}
.introduction-content .profile-detail-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  margin: 50px;
}

.introduction-content .profile-detail-wrapper span {
  font-size: 16px;
  font-weight: 300px;
  color: #cc005f;
  margin: 15px 0;
  letter-spacing: 0.8px;
}
.introduction-content .profile-detail-wrapper h3 {
  font-size: 50px;
  font-weight: 600px;
}
.introduction-content .profile-detail-wrapper .btn {
  padding: 5px 16px;
  background-color: #ff0077;
  color: white;
  border-radius: 5px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
  letter-spacing: 1px;
}

.introduction-content .profile-detail-wrapper .btn:hover {
  background-color: #ff0037;
  font-weight: bold;
  transform: scale(1.2);
  transition-duration: 0.5s;
}

/* .introduction-content .profile-detail-wrapper p {
  color: #777;
} */
.about-section {
  /* width: 50%; */
  width: 100%;
  /* width: 900px; */

  /* height: 100vh; */
  padding: 100px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* background-color: #cc005f; */
}
.about-section .about-content {
  display: flex;
  /* width: 50%; */
  width: 800px;

  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}
.about-section .about-content h3 {
  color: #ff0077;
  text-transform: uppercase;
  letter-spacing: 0.4rem;
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: bolder;
}
.about-section .about-content h2 {
  font-size: 36px;
  margin-bottom: 40px;
}
.about-section .about-content p {
  color: #777;
  text-align: center;
  letter-spacing: 0.6px;
  word-spacing: 0.6px;
  font-weight: 500;
  font-size: 14px;
}
.profile-and-skills {
  /* width: 50%; */
  width: 800px;

  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  /* margin: 50px 0; */
  padding: 50px;
}
.profile-and-skills .profile-details {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 20px;
  /* margin: 20px 0; */
  /* border: 1px solid red; */
}
.profile-and-skills .skill-details {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 20px;
  /* margin: 20px 0; */
  /* border: 1px solid red; */
}
.profile-and-skills .profile-details h3 {
  text-transform: uppercase;
  letter-spacing: 1.5px;
}
.profile-and-skills .skill-details h3 {
  text-transform: uppercase;
  letter-spacing: 1.5px;
}
.profile-and-skills .profile-details .profile-details-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 15px;
}

.profile-and-skills .skill-details .skill-details-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 30px;
}
.profile-and-skills
  .skill-details
  .skill-details-container
  .skill-detail-container-item {
  width: 100%;
}
.profile-and-skills .lable {
  text-transform: uppercase;
  letter-spacing: 0.2px;
}
.profile-and-skills
  .profile-details
  .profile-details-container
  .profile-container-item
  p {
  /* color: #777; */
  font-size: 12px;
  font-weight: 400;
}

.profile-and-skills .skill-details .skill-bar-container {
  background-color: #777;
  border-radius: 10px;
  width: 100%;
  box-sizing: border-box;
  /* margin: 5px 0; */
}
.profile-and-skills
  .skill-details
  .skill-details-container
  .skill-detail-container-item
  .skill-bar-container
  .skill-progress {
  color: white;
  padding-top: 5px;
  /* padding-bottom: 5px; */
  border-radius: 10px;
}

.html {
  width: 90%;
  background-color: #0f0f0f;
}
.css {
  width: 80%;
  background-color: #0f0f0f;
}
.js {
  width: 65%;
  background-color: #0f0f0f;
}
.vuejs {
  width: 60%;
  background-color: #0f0f0f;
}
.java {
  width: 75%;
  background-color: #0f0f0f;
}

/* education and experience */

.education-experience-section {
  width: 100%;
  padding: 100px 0;
  /* height: 100vh; */
  /* border: 1px solid black; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #ebebeb;
}
.education-experience-section .section-introduction-container {
  /* width: 50%; */
  width: 800px;

  display: flex;
  flex-direction: column;
  text-align: center;
  /* justify-content: center;
  align-items: center; */
}
.education-experience-section .section-introduction-container h3 {
  color: #ff0077;
  text-transform: uppercase;
  letter-spacing: 0.4rem;
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: bolder;
}
.education-experience-section .section-introduction-container h2 {
  font-size: 36px;
  margin-bottom: 25px;
}
.education-experience-section .section-introduction-container p {
  color: #777;
  text-align: center;
  letter-spacing: 0.6px;
  word-spacing: 0.6px;
  font-weight: 500;
  font-size: 14px;
}

.education-experience-section .experience-container {
  /* width: 50%; */
  width: 800px;

  display: flex;
  flex-direction: column;
  /* text-align: center; */
  margin-top: 50px;
  /* border: 1px solid red; */
  justify-content: space-between;
  align-items: center;
}
.education-experience-section .experience-container .work-experience-title h2 {
  font-size: 18px;
  color: #ff0077;
  margin-bottom: 30px;
  font-weight: bolder;
}
.education-experience-section .experience-container .work-detail-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  /* text-align: left; */
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .job-roll {
  /* border: 1px solid brown; */
  width: 25%;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .job-roll
  h3 {
  font-size: 16px;
  font-weight: 700;
  text-align: right;
  text-transform: uppercase;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .work-icon-wrapper {
  display: flex;
  flex-direction: column;
  /* border: 1px solid red; */
  align-items: center;
  /* height: 225px; */
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .work-icon-wrapper
  .work-icon {
  border: 1.5px solid black;
  border-radius: 50px;
  padding: 5px;
  background-color: #0f0f0f;
  margin: 0 25px;
  cursor: default;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .work-icon-wrapper
  .work-icon:hover {
  transform: rotate(360deg);
  transition-duration: 1s;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .work-icon-wrapper
  .work-icon
  .material-symbols-outlined {
  color: white;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .work-icon-wrapper
  .timeline {
  /* border: 1px solid black; */
  height: 180px;
  width: 1px;
  background-color: #777;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .work-icon-wrapper
  .education-timeline {
  /* border: 1px solid black; */
  height: 70px;
  width: 1px;
  background-color: #777;
}

.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .company-name-description {
  /* border: 1px solid brown; */
  width: 50%;
}
.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .company-name-description
  .work-description
  p {
  font-size: 12px;
  font-weight: 400px;
}
/* .education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .company-name-description
  p {
  
  color: red;
} */

.education-experience-section
  .experience-container
  .work-experience-timeline
  .work-detail-wrapper
  .company-name-description
  .company-name {
  /* border: 1px solid brown; */
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 20px;
}
/* Project section  */
.project-section {
  width: 100%;
  padding: 100px 0;
  /* height: 100vh; */
  /* border: 1px solid black; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.project-section .section-introduction-container {
  /* width: 50%; */
  width: 800px;

  display: flex;
  flex-direction: column;
  text-align: center;
  /* border: 1px solid  black; */
  /* justify-content: center;
  align-items: center; */
}
.project-section .section-introduction-container h3 {
  color: #ff0077;
  text-transform: uppercase;
  letter-spacing: 0.4rem;
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: bolder;
}
.project-section .section-introduction-container h2 {
  font-size: 36px;
  margin-bottom: 25px;
}
.project-section .section-introduction-container p {
  color: #777;
  text-align: center;
  letter-spacing: 0.6px;
  word-spacing: 0.6px;
  font-weight: 500;
  font-size: 14px;
}
.project-section .project-content-container {
  display: flex;
  /* width: 50%; */
  width: 800px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* border: 1px solid red; */
}
.project-section .project-content-container .project-container {
  /* border: 1px solid blue; */
  margin-top: 30px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* overflow: hidden; */
  /* flex-wrap:  wrap; */
}
.project-section
  .project-content-container
  .project-container
  .each-project-item {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin: 10px;
  /* background-color:    #777; */
  justify-content: space-between;
  align-items: center;
}
.project-section
  .project-content-container
  .project-container
  .each-project-item
  img {
  width: 100%;
  height: 100px;
  border: 2px solid #777;
  border-radius: 10px;
  box-shadow: 1px 1px 20px #777;
  margin-bottom: 20px;
}
.project-section
  .project-content-container
  .project-container
  .each-project-item
  img:hover {
  border: 2px solid #ff0077;
  transform: scale(1.1);
  transition-duration: 0.5s;
}
/* contact section */

.contact-section {
  width: 100%;
  padding-top: 50px;
  /* height: 100vh; */
  /* border: 1px solid black; */
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  background-color: #a6a6a6;
  /* color: white; */
}
.contact-section .section-introduction-container {
  /* width: 50%; */
  width: 800px;

  display: flex;
  flex-direction: column;
  text-align: center;
  /* border: 1px solid  black; */
  /* justify-content: center; */
  align-items: center;
}
.contact-section .section-introduction-container .section-intro {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact-section .section-introduction-container h3 {
  color: #ff0077;
  text-transform: uppercase;
  letter-spacing: 0.4rem;
  margin-bottom: 10px;
  font-size: 20px;
  font-weight: bolder;
}
.contact-section .section-introduction-container h2 {
  font-size: 36px;
  margin-bottom: 25px;
}

.contact-section
  .section-introduction-container
  .section-intro
  .contact-details {
  font-size: 12px;
}
.contact-details {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.contact-details .contact-detail-item {
  display: flex;
  align-items: center;
  justify-content: center;
  /* gap: 5px; */
}
.contact-details .contact-detail-item .lable {
  margin-right: 7px;
}

.follow-me {
  margin: 20px 0;
}
.follow-me img {
  width: 30px;
  border: 2px solid;
  border-radius: 20px;
  padding: 2px;
}
.follow-me a {
  text-decoration: none;
  margin: 0 5px;
}
.follow-me img:hover {
  border-radius: 20px;
  border: 2px solid #ff0077;
  transform: scale(1.2);
  transition-duration: 0.5s;
}
.footer {
  display: flex;
  align-items: center;
  font-size: 10px;
}
